Skip to main content
POST
/
price-methods
Create price method
curl --request POST \
  --url https://api.fabric.inc/v3/price-methods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "name": "QUANTITY_PRICING"
}
'
{
  "id": 63807,
  "name": "QUANTITY_PRICING",
  "createdAt": "2019-08-20T14:15:22.000Z",
  "updatedAt": "2019-08-20T14:15:22.000Z",
  "isDeleted": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-fabric-tenant-id
string
required

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.

Required string length: 24
x-fabric-channel-id
string

x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.

Example:

"12"

x-client-id
string

A unique identifier obtained from Copilot for the System app in the fabric ecosystem, essential for OpenID Connect authentication flows.

x-fabric-request-id
string

A unique request ID.

Example:

"263e731c-45c8-11ed-b878-0242ac120002"

Body

application/json

A sample request to create price method.

name
enum<string>
required

The name of the price method.

Available options:
QUANTITY_PRICING,
SQUARE_AREA_PRICING,
TABLE_PRICING_LENGTH_WIDTH
Required string length: 3 - 120
Example:

"QUANTITY_PRICING"

Response

Created

Price method record detail

id
integer<int32>
required

The ID of price method.

Example:

63807

name
string
required

The name of the price method.

Example:

"QUANTITY_PRICING"

createdAt
string<date-time>
required

Record's creation time

Example:

"2019-08-20T14:15:22.000Z"

updatedAt
string<date-time>
required

Record's last updated time

Example:

"2019-08-20T14:15:22.000Z"

isDeleted
boolean
required

true: Record is deleted
false: Record isn't deleted

Example:

false